import Vue from 'vue'
import VueRouter from 'vue-router'
import HomeView from '../views/HomeView.vue'
import PointsRank from '../views/PointsRank.vue'

Vue.use(VueRouter)

const routes = [
  {
    path:'/',
    redirect:'/home',
  },
  {
    path: '/home',
    component: HomeView,
    redirect:'/home/index',
    children: [
      {
        path: '/home/index',
        component: () => import('@/views/HomeView/Index.vue'),
        meta: {
          index: 1
        }
      },
      {
        path: '/home/index/msgDetail',
        component: () => import('@/views/HomeView/MsgDetail.vue')
      },
      {
        path: '/home/signIn',
        component: () => import('@/views/HomeView/SignIn.vue')
      },
      {
        path: '/home/myMedal',
        component: () => import('@/views/HomeView/MyMedal.vue')
      },
      {
        path: '/home/commend',
        component: () => import('@/views/HomeView/Commend.vue')
      },
      {
        path: '/home/earnPoints',
        component: () => import('@/views/HomeView/EarnPoints.vue')
      },
      {
        path: '/home/pointsMall',
        component: () => import('@/views/HomeView/PointsMall.vue')
      },
      {
        path: '/home/pointsMall/redeem',
        component: () => import('@/views/HomeView/RedeemView.vue')
      },
      {
        path: '/home/myCenter/goodsDetail',
        component: () => import('@/views/HomeView/GoodsDetail.vue')
      },
      {
        path: '/home/welfareList',
        component: () => import('@/views/HomeView/WelfareList.vue')
      },
      {
        path: '/home/myCenter',
        component: () => import('@/views/HomeView/MyCenter.vue')
      },
      {
        path: '/home/festiveEvents',
        component: () => import('@/views/HomeView/FestiveEvents.vue')
      },
      {
        path: '/home/festiveEvents/game',
        component: () => import('@/views/HomeView/Game.vue')
      }
    ]
  },
  {
    path: '/noticeCenter',
    component: () => import('../views/NoticeCenter.vue'),
    meta: {
      index: 2
    }
  },
  {
    path: '/pointsRank',
    component: PointsRank,
    redirect:'/pointsRank/present',
    children: [
      {
        path: '/pointsRank/present',
        component: () => import('@/views/PointsRank/Present.vue')
      },
      {
        path: '/pointsRank/history',
        component: () => import('@/views/PointsRank/History.vue')
      },
    ]
  }
]

const router = new VueRouter({
  linkActiveClass:'route-active',
  routes,
})

export default router
